package com.fjhx.sale.mapper.pack;

import com.fjhx.sale.entity.pack.po.PackShipment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackShipmentVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 出货绑定主合同表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
public interface PackShipmentMapper extends BaseMapper<PackShipment> {

    /**
     * 出货绑定主合同表分页
     */
    Page<PackShipmentVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PackShipment> wrapper);

}
