package com.fjhx.sale.service.pack;

import com.fjhx.sale.entity.pack.po.PackShipment;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackShipmentVo;
import com.fjhx.sale.entity.pack.dto.PackShipmentSelectDto;
import com.fjhx.sale.entity.pack.dto.PackShipmentDto;


/**
 * <p>
 * 出货绑定主合同表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
public interface PackShipmentService extends BaseService<PackShipment> {

    /**
     * 出货绑定主合同表分页
     */
    Page<PackShipmentVo> getPage(PackShipmentSelectDto dto);

    /**
     * 出货绑定主合同表明细
     */
    PackShipmentVo detail(Long id);

    /**
     * 出货绑定主合同表新增
     */
    void add(PackShipmentDto packShipmentDto);

    /**
     * 出货绑定主合同表编辑
     */
    void edit(PackShipmentDto packShipmentDto);

    /**
     * 出货绑定主合同表删除
     */
    void delete(Long id);

}
